Skip to main content
GET
Get a borrow product

Authorizations

Authorization
string
header
required

A JWT signed using the developer's own JWT private key (in the case of JWT authentication), or an end user JWT signed by CDP, encoded in base64. This is used for End User Account APIs.

Path Parameters

borrowProductId
string
required

The globally unique ID of the borrow product. The globally unique ID of the borrow product, which is a UUID prefixed with the string bp_.

Pattern: ^bp_[a-f0-9-]{36}$
Example:

"bp_07fb56c0-9afe-5440-8ff2-5b0e115458df"

Query Parameters

projectID
string

The ID of the CDP Project. Required for end users authenticated using custom auth (i.e. a non-CDP JWT provider).

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$
Example:

"8e03978e-40d5-43e8-bc93-6894a57f9324"

Response

Successfully retrieved the borrow product.

A borrow product on an EVM network, operated by a lending protocol such as Morpho Blue. A borrow product is a protocol-native representation of a borrowable market, describing the venue that hosts it, the assets that are borrowed or borrowed against in it, a point-in-time snapshot of its onchain state, and the protocol-specific immutable parameters that uniquely define it.

borrowProductId
string
required

The globally unique ID of the borrow product, which is a UUID prefixed with the string bp_.

Pattern: ^bp_[a-f0-9-]{36}$
Example:

"bp_07fb56c0-9afe-5440-8ff2-5b0e115458df"

network
enum<string>
required

The name of the EVM network that a borrow product is deployed on.

Available options:
base
Example:

"base"

name
string
required

A human-readable name for the product, typically derived from its loan and collateral tokens.

Example:

"mGLO / USDC"

venue
object
required

The onchain venue that hosts a borrow product. The venue comprises the protocol and network the product is deployed on. An example of a venue would be Morpho Blue on Base Mainnet.

Example:
assets
object[]
required

The assets available to be borrowed or borrowed against in this market.

snapshot
object
required

The point-in-time at which onchain state, such as a borrow product or borrow position, was captured. This is when the data was last read from the chain.

Example:
protocolDetails
Morpho Blue · object
required

Protocol-specific immutable onchain details that uniquely define a borrow product. The type field indicates which protocol-specific schema describes the product's details.

Example: